Package org.eclipse.ecf.provider.generic

## Class GenericContainerInstantiator.GenericContainerArgs

- java.lang.Object
- - org.eclipse.ecf.provider.generic.GenericContainerInstantiator.GenericContainerArgs

Enclosing class:
  GenericContainerInstantiator

    protected class GenericContainerInstantiator.GenericContainerArgs
    extends Object

### Constructor Summary

Constructors
`GenericContainerArgs​(ID id, Integer keepAlive)`
`GenericContainerArgs​(ID id, Integer keepAlive, InetAddress bindAddress)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InetAddress` `getBindAddress()`
`ID` `getID()`
`Integer` `getKeepAlive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GenericContainerArgs

    public GenericContainerArgs​(ID id,
                                Integer keepAlive)

#### GenericContainerArgs

    public GenericContainerArgs​(ID id,
                                Integer keepAlive,
                                InetAddress bindAddress)

### Method Detail

#### getID

    public ID getID()

#### getKeepAlive

    public Integer getKeepAlive()

#### getBindAddress

    public InetAddress getBindAddress()

Returns:
  InetAddress the bind address. May be `null`
Since:
  4.5